USN-4420-1: Cinder and os-brick vulnerability

07 July 2020

Cinder and os-brick could be made to expose sensitive information.

Releases

Packages

  • cinder - OpenStack storage service
  • python-os-brick - Library for managing local volume attaches
  • python-os-brick - Library for managing local volume attaches - Python 2.x

Details

David Hill and Eric Harney discovered that Cinder and os-brick incorrectly
handled ScaleIO backend credentials. An attacker could possibly use this issue to
expose sensitive information.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04
Ubuntu 18.04

In general, a standard system update will make all the necessary changes.

References